Renaming of conf file fails

Bug #1701047 reported by Gunnar Hjalmarsson
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
fonts-beng-extra (Debian)
Fix Released
Unknown
fonts-beng-extra (Ubuntu)
Medium
Gunnar Hjalmarsson
Bionic
Medium
Gunnar Hjalmarsson
fonts-deva-extra (Debian)
Fix Released
Unknown
fonts-deva-extra (Ubuntu)
Medium
Gunnar Hjalmarsson
Bionic
Medium
Gunnar Hjalmarsson
fonts-gujr-extra (Debian)
Fix Released
Unknown
fonts-gujr-extra (Ubuntu)
Medium
Gunnar Hjalmarsson
Bionic
Medium
Gunnar Hjalmarsson
fonts-guru-extra (Debian)
Fix Released
Unknown
fonts-guru-extra (Ubuntu)
Undecided
Unassigned
Bionic
High
Steve Langasek
fonts-orya-extra (Debian)
Fix Released
Unknown
fonts-orya-extra (Ubuntu)
Medium
Gunnar Hjalmarsson
Bionic
Medium
Gunnar Hjalmarsson

Bug Description

[Impact]
The fix of <https://bugs.debian.org/853848> wasn't accomplished properly. Renamings of conf files weren't addressed in maintainer scripts, upgrades from previous versions fail in this respect, and the package system generates warning messages.

The problem has been reported in Debian, and the purpose of this bug report is to keep track of the progress.

[Justification]
This config file is broken in xenial and will still be broken on upgrade to bionic, which means the fonts in question will not be available to the system as intended if the user has upgraded.

[Test case]
For each of
- fonts-beng-extra
- fonts-deva-extra
- fonts-gujr-extra
- fonts-guru-extra
- fonts-orya-extra
- fonts-telu-extra:

* Purge the package if installed and clean up possible leftovers
  due to the issue.

* Install the Xenial version of the package and find that the symlink
  in /etc/fonts/conf.d incorrectly points to a directory.

* Install the version in bionic-release and find that the attempt
  to fix the issue fails

* Install the version in bionic-proposed and find that it fixes the
  issue and that the symlink now correctly points to the conf file.

[Regression potential]
Because this modifies maintainer scripts there is possibility of introducing a regression that will cause the package to fail to unpack.

Changed in fonts-beng-extra (Debian):
status: Unknown → New
Changed in fonts-deva-extra (Debian):
status: Unknown → New
Changed in fonts-gujr-extra (Debian):
status: Unknown → New
Changed in fonts-guru-extra (Debian):
status: Unknown → New
Changed in fonts-orya-extra (Debian):
status: Unknown → New
Revision history for this message
Steve Langasek (vorlon) wrote :

Fixed in 2.0-4ubuntu1 for cosmic.

Changed in fonts-guru-extra (Ubuntu):
status: New → Fix Released
Steve Langasek (vorlon)
description: updated
Revision history for this message
Steve Langasek (vorlon) wrote :

Of these packages, fonts-guru-extra is the only one that in practice I see is affected by this bug on a continuously-upgraded system (16.04 -> 16.10 -> 17.04 -> 17.10 -> 18.04), so is the only package I am currently intending to SRU.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

@Steve: fonts-guru-extra affects everyone, since fonts-guru is in desktop-common in Xenial, and thus is indeed the most important package to fix.

OTOH, the issue is present for all the above packages for those affected. Will try to fix them using the same method as you did for fonts-guru-extra.

Changed in fonts-guru-extra (Ubuntu Bionic):
assignee: nobody → Steve Langasek (vorlon)
importance: Undecided → High
status: New → Triaged
Changed in fonts-beng-extra (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-beng-extra (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-deva-extra (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-deva-extra (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-gujr-extra (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-gujr-extra (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-orya-extra (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Changed in fonts-orya-extra (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → Triaged
Revision history for this message
Steve Langasek (vorlon) wrote : Re: [Bug 1701047] Re: Renaming of conf file fails

On Thu, Jun 07, 2018 at 05:55:45PM -0000, Gunnar Hjalmarsson wrote:

> OTOH, the issue is present for all the above packages for those
> affected. Will try to fix them using the same method as you did for
> fonts-guru-extra.

It really isn't. I have all of these packages installed and
fonts-guru-extra is the only one that was affected in practice.

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

But when did you install the other packages? I suspect that you did so when upgrading to 17.10, where fonts-indic was added to ubuntu-desktop. In that case you never had the Xenial version of those packages which may explain why you didn't stumble upon the upgrade issue for those.

Please see the attachment, which shows the issue for fonts-beng-extra.

description: updated
Changed in fonts-beng-extra (Ubuntu):
status: Triaged → Fix Committed
Changed in fonts-beng-extra (Ubuntu Bionic):
status: Triaged → In Progress
Changed in fonts-deva-extra (Ubuntu):
status: Triaged → Fix Committed
Changed in fonts-deva-extra (Ubuntu Bionic):
status: Triaged → In Progress
Changed in fonts-gujr-extra (Ubuntu):
status: Triaged → Fix Committed
Changed in fonts-gujr-extra (Ubuntu Bionic):
status: Triaged → In Progress
Changed in fonts-guru-extra (Ubuntu Bionic):
status: Triaged → In Progress
Changed in fonts-orya-extra (Ubuntu):
status: Triaged → Fix Committed
Changed in fonts-orya-extra (Ubuntu Bionic):
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-deva-extra - 3.0-4ubuntu1

---------------
fonts-deva-extra (3.0-4ubuntu1) cosmic; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:47:00 +0200

Changed in fonts-deva-extra (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-gujr-extra - 1.0-6ubuntu1

---------------
fonts-gujr-extra (1.0-6ubuntu1) cosmic; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:47:00 +0200

Changed in fonts-gujr-extra (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-beng-extra - 1.0-6ubuntu1

---------------
fonts-beng-extra (1.0-6ubuntu1) cosmic; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:47:00 +0200

Changed in fonts-beng-extra (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-orya-extra - 2.0-5ubuntu1

---------------
fonts-orya-extra (2.0-5ubuntu1) cosmic; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:47:00 +0200

Changed in fonts-orya-extra (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Please test proposed package

Hello Gunnar, or anyone else affected,

Accepted fonts-guru-extra into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fonts-guru-extra/2.0-4ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fonts-guru-extra (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Gunnar, or anyone else affected,

Accepted fonts-beng-extra into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fonts-beng-extra/1.0-6ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fonts-beng-extra (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

Fix confirmed with the bionic-proposed version of fonts-guru-extra.

Changed in fonts-deva-extra (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Gunnar, or anyone else affected,

Accepted fonts-deva-extra into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fonts-deva-extra/3.0-4ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fonts-gujr-extra (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Gunnar, or anyone else affected,

Accepted fonts-gujr-extra into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fonts-gujr-extra/1.0-6ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in fonts-orya-extra (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Steve Langasek (vorlon) wrote :

Hello Gunnar, or anyone else affected,

Accepted fonts-orya-extra into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/fonts-orya-extra/2.0-5ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

Verified the test case using these packages from bionic-proposed:

fonts-beng-extra 1.0-6ubuntu0.1
fonts-deva-extra 3.0-4ubuntu0.1
fonts-gujr-extra 1.0-6ubuntu0.1
fonts-orya-extra 2.0-5ubuntu0.1

Please see comment #12 as regards fonts-guru-extra.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-guru-extra - 2.0-4ubuntu0.1

---------------
fonts-guru-extra (2.0-4ubuntu0.1) bionic; urgency=medium

  * Handle migration of conffile from wrong subdir. LP: #1701047.

 -- Steve Langasek <email address hidden> Thu, 07 Jun 2018 08:49:17 -0700

Changed in fonts-guru-extra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Łukasz Zemczak (sil2100) wrote : Update Released

The verification of the Stable Release Update for fonts-guru-extra has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-deva-extra - 3.0-4ubuntu0.1

---------------
fonts-deva-extra (3.0-4ubuntu0.1) bionic-proposed; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:53:00 +0200

Changed in fonts-deva-extra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-beng-extra - 1.0-6ubuntu0.1

---------------
fonts-beng-extra (1.0-6ubuntu0.1) bionic-proposed; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:53:00 +0200

Changed in fonts-beng-extra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-gujr-extra - 1.0-6ubuntu0.1

---------------
fonts-gujr-extra (1.0-6ubuntu0.1) bionic-proposed; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:53:00 +0200

Changed in fonts-gujr-extra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package fonts-orya-extra - 2.0-5ubuntu0.1

---------------
fonts-orya-extra (2.0-5ubuntu0.1) bionic-proposed; urgency=medium

  * Handle migration of conffile from wrong subdir (LP: #1701047).

 -- Gunnar Hjalmarsson <email address hidden> Sat, 09 Jun 2018 23:53:00 +0200

Changed in fonts-orya-extra (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in fonts-telu-extra (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Changed in fonts-telu-extra (Ubuntu Bionic):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
description: updated
Revision history for this message
Gunnar Hjalmarsson (gunnarhj) wrote :

fonts-telu-extra is mentioned at https://bugs.debian.org/854163, but it does not seem to suffer from the same issue as the other ones. Dropping the fonts-telu-extra tasks.

no longer affects: fonts-telu-extra (Ubuntu Bionic)
no longer affects: fonts-telu-extra (Ubuntu)
Changed in fonts-beng-extra (Debian):
status: New → Fix Released
Changed in fonts-guru-extra (Debian):
status: New → Fix Released
Changed in fonts-orya-extra (Debian):
status: New → Fix Released
Changed in fonts-deva-extra (Debian):
status: New → Fix Released
Changed in fonts-gujr-extra (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.